# parallel\Future::cancel

(0.9.0)

parallel\Future::cancel — Cancellation

### 说明

public parallel\Future::cancel(): bool

Shall try to cancel the task

> 注意: If task is running, it will be interrupted.

警告

Internal function calls in progress cannot be interrupted.

### Exceptions

警告

Shall throw parallel\Future\Error\Killed if parallel\Runtime executing task was killed.

警告

Shall throw parallel\Future\Error\Cancelled if task was already cancelled.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open